.\"#############################################################################
.\"$Id: ipmiconsole.8.pre.in,v 1.52 2010-06-30 21:56:36 chu11 Exp $
.\"#############################################################################
.\"  Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.\"  Copyright (C) 2006-2007 The Regents of the University of California.
.\"  Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER).
.\"  Written by Albert Chu <chu11@llnl.gov>
.\"  UCRL-CODE-221226
.\"  
.\"  This file is part of Ipmiconsole, a set of IPMI 2.0 SOL librarie
.\"  and utilities.  For details, see http://www.llnl.gov/linux/.
.\"
.\"  Ipmiconsole is free software; you can redistribute it and/or modify it under
.\"  the terms of the GNU General Public License as published by the Free
.\"  Software Foundation; either version 3 of the License, or (at your option)
.\"  any later version.
.\"  
.\"  Ipmiconsole is distributed in the hope that it will be useful, but WITHOUT 
.\"  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
.\"  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
.\"  for more details.
.\"  
.\"  You should have received a copy of the GNU General Public License along
.\"  with Ipmiconsole.  If not, see <http://www.gnu.org/licenses/>.
.\"############################################################################
.TH LIBIPMICONSOLE 5 "2012-06-28" "FreeIPMI 1.1.6" "Configuration"
.SH "NAME"
libipmiconsole.conf \- specify default values for libipmiconsole
.SH "DESCRIPTION"
The
.B Libipmiconsole
configuration file can be used to set alternate default values for the
.B Libipmiconsole
library. The configuration of these defaults may be useful for
environments in which programs link to libipmiconsole but do not
support configuration of libipmiconsole parameters. Users should be ware
that setting alternate default values into
.B Libipmiconsole
will affect all tools that link to the library, such as the
.B ipmiconsole(8)
tool. For users wishing to set alternate defaults to
.B ipmiconsole(8)
please use the
.B freeipmi.conf(5)
file instead.

.LP
The configuration file is stored at
/usr/local/etc/freeipmi//libipmiconsole.conf.
.SH "FORMAT"
The configuration options that can be specified in the configuration
file are listed below. Each configuration option must be listed on a
separate line. Arguments for an option are separated by any amount of
whitespace. Multiple arguments are also separated by whitespace.
Comments can be marked by using the pound sign ("#") character, and
lines can be continued on the next using backslash ("\\").
.SH "CONTEXT IPMI CONFIG OPTIONS"
Every SOL session is housed within an libipmiconsole context. The
following defines IPMI config default values for each context created.
.TP
\fBlibipmiconsole\-context\-username\fR \fIUSERNAME\fR
Specify the default username to use.
.TP
\fBlibipmiconsole\-context\-password\fR \fIPASSWORD\fR
Specify the default password to use.
.TP
\fBlibipmiconsole\-context\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use. Prefix with '0x' to enter
the key in hex.
.TP
\fBlibipmiconsole\-context\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use. The following privilege
levels are supported: USER, OPERATOR, ADMIN.
.TP
\fBlibipmiconsole\-context\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use. The following cipher suite
ids are supported: 0, 1, 2, 3, 6, 7, 8, 11, 12.
.TP
\fBlibipmiconsole\-context\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use. Multiple workarounds can be
specified separated by whitespace. The following workarounds are
supported: authcap, intel20, supermicro20, sun20, opensesspriv,
integritycheckvalue, solpayloadsize, solport, solstatus.
.SH "CONTEXT PROTOCOL CONFIG OPTIONS"
Every SOL session is housed within an libipmiconsole context. The
following defines protocol config default values for each context created.
.TP
\fBlibipmiconsole\-context\-session\-timeout\-len\fR \fIMILLISECONDS\fR
Specify the default session timeout length to use in milliseconds.
.TP
\fBlibipmiconsole\-context\-retransmission\-timeout\-len\fR \fIMILLISECONDS\fR
Specify the default retransmission timeout length to use in
milliseconds.
.TP
\fBlibipmiconsole\-context\-retransmission\-backoff\-count\fR \fINUM\fR
Specify the default retransmission backoff count to use.
.TP
\fBlibipmiconsole\-context\-keepalive\-timeout\-len\fR \fIMILLISECONDS\fR
Specify the default keepalive timeout length to use in milliseconds.
.TP
\fBlibipmiconsole\-context\-retransmission\-keepalive\-timeout\-len\fR \fIMILLISECONDS\fR
Specify the default retransmission timeout length to use for keepalive
packets in milliseconds.
.TP
\fBlibipmiconsole\-context\-acceptable\-packet\-errors\-count\fR \fINUM\fR
Specify the default packet errors count to use.
.TP
\fBlibipmiconsole\-context\-maximum\-retransmission\-count\fR \fINUM\fR
Specify the default maximum retransmission count to use.
.SH "CONTEXT ENGINE CONFIG OPTIONS"
Every SOL session is housed within an libipmiconsole context. The
following defines engine config default values for each context
created. Knowledge of the libipmiconsole library may be necessary to
understand the meaning of these settings. Please see the
.B ipmiconsole.h
header file for additional information on the library.
.TP
\fBlibipmiconsole\-context\-engine\-flags\fR \fIFLAGS\fR
Specify default engine flags to use. Multiple flags can be specified
separated by whitespace. The following flags are supported: closefd,
outputonsolestablished, lockmemory, serialkeepalive.
.TP
\fBlibipmiconsole\-context\-behavior\-flags\fR \fIFLAGS\fR
Specify default behavior flags to use. Multiple flags can be
specified separated by whitespace. The following flags are supported:
erroronsolinuse, deactivateonly.
.TP
\fBlibipmiconsole\-context\-debug\-flags\fR \fIFLAGS\fR
Specify default debug flags to use. Multiple flags can be specified
separated by whitespace. The following flags are supported: stdout,
stderr, syslog, file, ipmipackets.

.SH "FILES"
/usr/local/etc/freeipmi//libipmiconsole.conf
.SH "REPORTING BUGS"
Report bugs to <freeipmi\-users@gnu.org> or <freeipmi\-devel@gnu.org>.
.SH COPYRIGHT
Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.br
Copyright (C) 2006-2007 The Regents of the University of California.
.PP
FreeIPMI is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.
.SH "SEE ALSO"
freeipmi.conf(5), freeipmi(7), libipmiconsole(3), ipmiconsole(8),
.PP
http://www.gnu.org/software/freeipmi/
